Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# GT2005Cluster Class Reference

`#include <GT2005Cluster.h>`

Collaboration diagram for GT2005Cluster:

[legend]
List of all members.

## Public Member Functions
| GT2005Cluster (double xminimum, double xmaximum, double yminimum, double ymaximum)
| GT2005Cluster ()
void | setCandidate (bool c)
bool | getCandidate ()
double | getYMin ()
double | getXMin ()
double | getXMax ()
double | getYMax ()
Vector2< double > | getMidpoint ()
std::list< std::list< GT2005Cluster >::iterator >::iterator | getVPointer ()
void | setVPointer (std::list< std::list< GT2005Cluster >::iterator >::iterator vp)
std::list< std::list< GT2005Cluster >::iterator >::iterator | getHPointer ()
void | setHPointer (std::list< std::list< GT2005Cluster >::iterator >::iterator hp)
## Private Attributes
double | xmin
double | xmax
double | ymin
double | ymax
bool | candidate
Vector2< double > | mid
std::list< std::list< GT2005Cluster >::iterator >::iterator | vpointer
std::list< std::list< GT2005Cluster >::iterator >::iterator | hpointer

## Constructor & Destructor Documentation

GT2005Cluster::GT2005Cluster | ( | double | xminimum,
|  | double | xmaximum,
|  | double | yminimum,
|  | double | ymaximum
| ) |

| Definition at line 4 of file GT2005Cluster.cpp. References mid, Vector2< double >::x, xmax, xmin, Vector2< double >::y, ymax, and ymin.

GT2005Cluster::GT2005Cluster | ( |  | ) |

| Definition at line 16 of file GT2005Cluster.cpp.

## Member Function Documentation

void GT2005Cluster::setCandidate | ( | bool | c | ) |

| Definition at line 20 of file GT2005Cluster.cpp. References candidate.

bool GT2005Cluster::getCandidate | ( |  | ) |

| Definition at line 26 of file GT2005Cluster.cpp. References candidate.

double GT2005Cluster::getYMin | ( |  | ) |

| Definition at line 31 of file GT2005Cluster.cpp. References ymin.

double GT2005Cluster::getXMin | ( |  | ) |

| Definition at line 36 of file GT2005Cluster.cpp. References xmin.

double GT2005Cluster::getXMax | ( |  | ) |

| Definition at line 41 of file GT2005Cluster.cpp. References xmax.

double GT2005Cluster::getYMax | ( |  | ) |

| Definition at line 46 of file GT2005Cluster.cpp. References ymax.

Vector2< double > GT2005Cluster::getMidpoint | ( |  | ) |

| Definition at line 52 of file GT2005Cluster.cpp. References mid.

std::list< std::list< GT2005Cluster >::iterator >::iterator GT2005Cluster::getVPointer | ( |  | ) |

| Definition at line 57 of file GT2005Cluster.cpp. References vpointer.

void GT2005Cluster::setVPointer | ( | std::list< std::list< GT2005Cluster >::iterator >::iterator | vp | ) |

| Definition at line 62 of file GT2005Cluster.cpp. References vpointer.

std::list< std::list< GT2005Cluster >::iterator >::iterator GT2005Cluster::getHPointer | ( |  | ) |

| Definition at line 67 of file GT2005Cluster.cpp. References hpointer.

void GT2005Cluster::setHPointer | ( | std::list< std::list< GT2005Cluster >::iterator >::iterator | hp | ) |

| Definition at line 72 of file GT2005Cluster.cpp. References hpointer.

## Member Data Documentation

double GT2005Cluster::xmin`[private]`

| Definition at line 10 of file GT2005Cluster.h. Referenced by getXMin(), and GT2005Cluster().

double GT2005Cluster::xmax`[private]`

| Definition at line 10 of file GT2005Cluster.h. Referenced by getXMax(), and GT2005Cluster().

double GT2005Cluster::ymin`[private]`

| Definition at line 10 of file GT2005Cluster.h. Referenced by getYMin(), and GT2005Cluster().

double GT2005Cluster::ymax`[private]`

| Definition at line 10 of file GT2005Cluster.h. Referenced by getYMax(), and GT2005Cluster().

bool GT2005Cluster::candidate`[private]`

| Definition at line 13 of file GT2005Cluster.h. Referenced by getCandidate(), and setCandidate().

Vector2<double> GT2005Cluster::mid`[private]`

| Definition at line 16 of file GT2005Cluster.h. Referenced by getMidpoint(), and GT2005Cluster().

std::list<std::list<GT2005Cluster>::iterator>::iterator GT2005Cluster::vpointer`[private]`

| Definition at line 19 of file GT2005Cluster.h. Referenced by getVPointer(), and setVPointer().

std::list<std::list<GT2005Cluster>::iterator>::iterator GT2005Cluster::hpointer`[private]`

| Definition at line 20 of file GT2005Cluster.h. Referenced by getHPointer(), and setHPointer().

The documentation for this class was generated from the following files:

- Modules/ImageProcessor/GT2005ImageProcessor/GT2005Cluster.h
- Modules/ImageProcessor/GT2005ImageProcessor/GT2005Cluster.cpp